%define momorel 2

Summary: Finds files on a system via a central database.
Name: slocate
Version: 2.7
Release: %{momorel}m
License: GPL
Group: Applications/File
Source0: ftp://ftp.geekreview.org/slocate/src/slocate-%{version}.tar.gz
Source1: slocate.cron
Source2: updatedb.conf
Patch0: slocate-2.5-info.patch
Patch1: slocate-wht.patch
Patch2: slocate-2.5-segfault.patch
Prereq: shadow-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
URL: http://www.geekreview.org/slocate/

%description
Slocate is a security-enhanced version of locate. Just like locate,
slocate searches through a central database (which is updated nightly)
for files which match a given pattern. Slocate allows you to quickly
find files anywhere on your system.

%prep
%setup -q
%patch0 -p1 -b .info
%patch1 -p1 -b .wht
%patch2 -p1 -b .segv
# *sigh*
gunzip doc/*.gz
chmod 644 {ChangeLog,INSTALL,README,LICENSE,MIRRORS}

%build
%configure
make

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}/etc/cron.daily
mkdir -p %{buildroot}/var/lib/slocate
install slocate %{buildroot}/usr/bin
ln -sf slocate %{buildroot}/usr/bin/locate
install doc/slocate.1.linux %{buildroot}%{_mandir}/man1/slocate.1
install doc/updatedb.1 %{buildroot}%{_mandir}/man1
ln -sf slocate.1 %{buildroot}%{_mandir}/man1/locate.1
install %{SOURCE1} %{buildroot}/etc/cron.daily
ln -sf slocate %{buildroot}/usr/bin/updatedb

install %{SOURCE2} %{buildroot}/etc/

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -g 21 -r -f slocate

%preun
if [ "$1" = "0" ]; then 
  /usr/sbin/groupdel slocate
  [ -f /var/lib/slocate/slocate.db ] && rm -f /var/lib/slocate/slocate.db
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README LICENSE MIRRORS
%attr(2755,root,slocate) /usr/bin/slocate
%attr(-,root,slocate) /usr/bin/locate
%attr(-,root,slocate) /usr/bin/updatedb
%attr(644,root,root) %{_mandir}/man1/*
%attr(755,root,root) /etc/cron.daily/slocate.cron
%attr(644,root,root) %config /etc/updatedb.conf
%dir %attr(750,root,slocate) /var/lib/slocate

%ChangeLog
* Tue Oct 14 2003 kourin <kourin@fh.freeserve.ne.jp>
- (2.7-2m)
- change permissions of %%doc

* Mon Feb  3 2003 smbd <smbd@momonga-linux.org>
- (2.7-1m)
- up to 2.7
- except devfs and ntfs (see, http://search.luky.org/vine-users.5/msg00190.html)

* Wed Oct 10 2001 Toru Hoshina <t@kondara.org>
- (2.6-2k)
- bug fix.

* Thu Dec 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4-3k)
- update to 2.4 for security fix

* Thu Dec  7 2000 AYUHANA Tomonori <l@kondara.org>
- (2.3-3k)
- version 2.3

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Jul  2 2000 MATSUDA, Daiki <dyky@kondaraorg>
- update to 2.2
- modify URI

* Thu Jun  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modify the bug taht slocate iso9660 filesystem and /mnt/cdrom

* Sun Apr  9 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.1.-2).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Nov  7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix a bug that was causing segfaults.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- remove group database on final uninstall

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- add a note about creating the database if opening of it fails.

* Tue Jul  6 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0
- use new -f (filesystem type) option to simplify cron script
- link updatedb back to slocate to allow parsing of updatedb.conf
  config files

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- don't exclude VFAT partitions
- add some docs

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.6.
- use /etc/cron.daily as /usr/bin/updatedb to more perfectly imitate the
  findutils updatedb.
- exclude vfat partitions too (#3164).

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.5
- make database dir 0750

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- fix updatedb cron script

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- add updatedb as a link to slocate
- add an updatedb man page

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
